# PhasicFlow: src/phasicFlow/fileSystem/fileSystem.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

fileSystem.hpp File Reference
Include dependency graph for fileSystem.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | fileSystem
| Manages file pathes, manupulate and combines them. More...

## Namespaces

| pFlow

## Typedefs

using | fileSystemList = List< fileSystem >

## Functions

iOstream & | operator<< (iOstream &os, const fileSystem &fs)
std::ostream & | operator<< (std::ostream &os, const fileSystem &fs)
fileSystem | operator/ (const fileSystem &fs1, const fileSystem &fs2)
fileSystem | operator/ (const fileSystem &fs1, const word &dir2)
fileSystem | operator+ (const fileSystem &fs1, const word fName)
fileSystem | CWD ()
| Free function to reture current working directory. More...
bool | isDirectory (const fileSystem &path)
| Free function to check if the path is dir path. More...
bool | isRegularFile (const fileSystem &path)
| free function to check if the path is regular file More...
fileSystemList | subDirectories (const fileSystem &path)
| A list of sub-directories that exist in path. More...
fileSystemList | containingFiles (const fileSystem &path)
| A list of file paths that exist in the path. More...